Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1404969 (CVE-2013-1430) - CVE-2013-1430 xrdp: Cleartext password shown in file after logging into xrdp session
Summary: CVE-2013-1430 xrdp: Cleartext password shown in file after logging into xrdp ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-1430
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1404971 1404972
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-15 09:41 UTC by Andrej Nemec
Modified: 2019-09-29 14:02 UTC (History)
2 users (show)

Fixed In Version: xrdp 0.9.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:04:29 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-12-15 09:41:32 UTC
When successfully logging in using RDP into a xrdp session, the file
~/.vnc/sesman_${username}_passwd is created. Its content is the
equivalent of the users clear text password, DES encrypted with a known
key.

Upstream bug:

https://github.com/neutrinolabs/xrdp/pull/497

Comment 1 Andrej Nemec 2016-12-15 09:45:31 UTC
Created xrdp tracking bugs for this issue:

Affects: fedora-all [bug 1404971]
Affects: epel-all [bug 1404972]

Comment 2 Product Security DevOps Team 2019-06-08 03:04:29 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.